> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchhive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List public workspace knowledge base items

> Returns items for a knowledge base in the requested public API workspace.



## OpenAPI

````yaml /openapi.yaml get /v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}/items
openapi: 3.0.1
info:
  title: Fetch Hive Public API
  version: v1
  description: Customer-facing Fetch Hive API endpoints for public API keys.
servers:
  - url: https://api.fetchhive.com
security: []
paths:
  /v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}/items:
    parameters:
      - name: workspace_id
        in: path
        required: true
        description: Workspace UUID
        schema:
          type: string
          format: uuid
      - name: knowledge_base_id
        in: path
        required: true
        description: Knowledge base UUID
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Knowledge Base Items
      summary: List public workspace knowledge base items
      description: >-
        Returns items for a knowledge base in the requested public API
        workspace.
      responses:
        '200':
          description: knowledge base items returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  knowledge_base_items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        knowledge_base_id:
                          type: string
                          format: uuid
                        item_type:
                          type: string
                        run_status:
                          type: string
                        status:
                          type: string
                      required:
                        - id
                        - name
                        - knowledge_base_id
                        - item_type
                        - run_status
                        - status
                required:
                  - knowledge_base_items
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
        '422':
          description: knowledge base not found in workspace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
      security:
        - bearer_auth: []
components:
  schemas:
    error_response:
      type: object
      properties:
        error:
          type: string
          example: Invalid access.
      required:
        - error
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: 'Workspace API key sent as `Authorization: Bearer <api_key>`.'

````